
Redmine - Defect #4855

Emission email address regression.

2010-02-17 08:40 - Anonymous

Status: Closed Start date: 2010-02-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.9.2

Description

On version 0.8.x it was possible to define the Emission email address like:

This Is Email From Redmine <redmine@redmine.org>

 When upgrading to 0.9.2 it silently fails to send emails (even with email logging on?).

If try to redefine the same type of email-address it gives a error that it's not valid.

Associated revisions

Revision 3443 - 2010-02-17 20:08 - Jean-Philippe Lang

Adds a test for emission address with phrase (#4855).

History

#1 - 2010-02-17 09:42 - Felix Schäfer

Works correctly here with \"some name\" <redmine@some.place> on trunk.

#2 - 2010-02-17 09:44 - Felix Schäfer

Ok, in a pre block so that nothing gets garbled :-)

\"some name\" <redmine@some.place>

#3 - 2010-02-17 10:49 - Anonymous

Felix Schäfer wrote:

Ok, in a pre block so that nothing gets garbled :-)

[...]

 When I try that, it 'saves' ok, but sending test-email fails with error-message:

An error occurred while sending mail (501 <"some name" >: "@" or "." expected after ""some name"" )

 So it looks like this issue is already fixed in trunk,

I think I'll wait for a updated version then.

Thanks.

#4 - 2010-02-17 10:53 - Felix Schäfer

There is no difference I'd know of between 0.9.2 and trunk concerning this point. Be sure to include the escapes \ in front of the " s, they are not the

result of any garbleage, the string in my second comment is literally in there in my installation.

#5 - 2010-02-17 12:57 - Anonymous

Felix Schäfer wrote:

There is no difference I'd know of between 0.9.2 and trunk concerning this point. Be sure to include the escapes @ in front of the "@ s, they are 

not the result of any garbleage, the string in my second comment is literally in there in my installation.
 Thank you for the quick responds,

but I did exactly what you said (with the \" escapes), but it still doesn't work for me.

I did some research and found this: https://rails.lighthouseapp.com/projects/8994/tickets/2340

It talkes about a similar issue with actionmailer (which is used in rails/Redmine? I'm no Ruby programmer),

the issue is fixed, but it 'missed' release v2.3.5, which is used by Redmine(?).

#6 - 2010-02-17 13:20 - Felix Schäfer

Redmine 0.9.2 runs on rails 2.3.5 indeed, and ActionMailer is one of the frameworks rails consists of. Anyway, I don't know if trunk and 0.9.2 differ in

some ways on the mail-sending parts, or if the ruby and/or rails packages from gentoo are patched around this already, but I can use any of the

following three schemes, and neither redmine borks, nor do my mail agents show anything unexpected:

\"some name\" <redmine@some.place>

"some name" <redmine@some.place>

some name <redmine@some.place>

#7 - 2010-02-17 13:34 - Anonymous

Felix Schäfer wrote:

Redmine 0.9.2 runs on rails 2.3.5 indeed, and ActionMailer is one of the frameworks rails consists of. Anyway, I don't know if trunk and 0.9.2

differ in some ways on the mail-sending parts, or if the ruby and/or rails packages from gentoo are patched around this already, but I can use

any of the following three schemes, and neither redmine borks, nor do my mail agents show anything unexpected:

[...]

 I'm using ubuntu 8.10 server, but with rails 2.3.5 installed via gem. So maybe you're right about gentoo.

Thanks anyway!

#8 - 2010-02-17 20:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Cant reproduce

The following setting actually works:

some name <redmine@some.place>

 I've also added a test for that in r3443.

#9 - 2010-03-06 23:22 - Markus Falb

I updated today an old redmine instance from 0.8.4 to 0.9.3 and this issue was hitting me too.

I do not run gentoo but CentOS 5.4.

hmmm...
